Subject: RE: Upgrade ?

From: "Hunt,Keith A" <[email-masked]>
Date: Tue, 25 Jun 2002 13:55:39 -0400

Ron, 

I have had that same issue when I have upgraded apache.  I never noticed that it caused a problem, but it certainly bothered me that php did not know which version of apache was running.  I fixed it by recompiling php (including a make clean) and restarting apache.

Keith Hunt  330.972.7968  [email-masked]
Internet & Server Systems
The University of Akron 

> -----Original Message-----
> From: RON MCKEEVER [mailto:[email-masked]]
> Sent: Monday, June 24, 2002 3:42 PM
> To: [email-masked]
> Subject: Re: Upgrade ?
> 
> 
> Hi Mr Woolley,
> 
> Thanks, for the email. That REALLY helped me to get my 
> mod_ssl-2.8.7-1.3.23
> upgraded to mod_ssl-2.8.10-1.3.26. 
> aca# pwd
> opt/apache/bin
> aca# ./apachectl startssl
> Apache/1.3.26 mod_ssl/2.8.10 (Pass Phrase Dialog)
> 
> 
> I was wondering is there a web page at apache/or modssl site 
> that explains the
> upgrade process?  
> 
> This ? might not be for you or this group but I guess I'll 
> ask anyway. 
> 
> When I use my phpinfo page, to see config info it shows that 
> apache is :
> Apache Version    Apache/1.3.23 
> 
> but If I look a little further down on the phpinfo page I see 
> the correct
> info:
> 
> ["SERVER_SIGNATURE"] <ADDRESS>Apache/1.3.26 Server at aca.fff.com Port
> 443</ADDRESS> 
> ["SERVER_SOFTWARE"] Apache/1.3.26 (Unix) PHP/4.1.2 mod_ssl/2.8.10
> OpenSSL/0.9.6 mod_perl/1.26  
> 
> I have rebooted my system and still that one line in php 
> shows the wrong
> version? Any Ideas? 
> 
> Thanks Again,
> Ron
> 
> 
> On Mon, 24 Jun 2002 11:32:06 -0400 (EDT) Cliff Woolley 
> <[email-masked]>
> wrote:
> 
> On Mon, 24 Jun 2002, RON MCKEEVER wrote:
> 
> > Im a little confused on how to upgrade my current 
> mod_ssl-2.8.7-1.3.23, to
> > mod_ssl-2.8.10-1.3.26.
> > When I untar the new apache1.3.26 it is in it own dir.. So 
> how do I upgrade
> > 1.3.23? When I run the configure statement in the 
> mod_ssl-2.8.10 dir I cant
> > state --with-apache="1.3.23", I need to state the new 
> apache dir, right??
> 
> Right... you give mod_ssl-2.8.10 the Apache 1.3.26 *source* 
> directory for
> its --with-apache= argument.  Then when you configure apache, 
> tell it to
> *install* to the same location that 1.3.23 is currently 
> installed using
> --prefix= (eg /usr/local/apache) and use the same directory structure
> (using --with-layout= ) that you used before, if any.  Then 
> when you run
> 'make install' from the Apache 1.3.26 source directory, it 
> will overwrite
> your 1.3.23 installation.
> 
> That should be it.
> 
> --Cliff
> 
> ______________________________________________________________________
> Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]
> 
> ______________________________________________________________________
> Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]
> 
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]